Skip to main content
POST
/
verifications
/
{verification}
/
checks
Check a verification
curl --request POST \
  --url https://app.ezyshield.com.au/api/verifications/{verification}/checks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_name": "<string>",
  "account_bsb": "<string>",
  "account_number": "<string>",
  "business_name": "<string>",
  "business_abn": "<string>",
  "individual_name": "<string>",
  "individual_mobile": "<string>",
  "individual_email": "[email protected]"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "submitted_data": "<string>",
      "created_at": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

verification
string
required

The verification ID. Example: ver_01jz8v2q4x...

Query Parameters

fields[checks]
enum<string>[]
Available options:
submitted_data,
result,
created_at

Body

application/json
account_name
string
required

Bank account name.

Maximum string length: 255
account_bsb
string
required

Bank State Branch (BSB) code. Must be 6 digits.

account_number
string
required

Bank account number. Must be 6-10 digits.

business_name
string | null

Business name. Required when individual_name is omitted. One of individual or business must be present.

Maximum string length: 255
business_abn
string | null

Australian Business Number (ABN). Must be 11 digits.

individual_name
string | null

Individual's full legal name. Required when business_name is omitted. One of individual or business must be present. Must include a space between first name(s) and last name (e.g., "John Michael Doe").

Maximum string length: 255
Pattern: ^[^\s]+\s+[^\s]+
individual_mobile
string | null

Individual's Australian mobile number.

individual_email
string<email> | null

Individual's email address.

Response

CheckResource

data
CheckResource · object
required